# DOMAPI - Domain API, basic management

DOMAPI is a quick and simple API to get properties of a domain name.

## Key features

* Purely Python
* It's an API with 5 endpoints
* Needs flask library
* Needs wordsegment library
* Needs python-whois library
* Needs tldextract library

## Requirements

DOMAPI requires install next Python libraries with pip:

* pip install flask
* pip install wordsegment
* pip install python-whois
* pip install tldextract

## Usage

- Run: python .\wodapi.py
- Then, a server is deploy on http://127.0.0.1:5000
- Use GET with endpoints
- An error will occur if your parameter is not a well-formed domain.

## Endpoints

- words :: split a domain name in words. Only in English languaje, next versions will be available in other languages. Example: http://127.0.0.1:5000/words/hereyourdomainname.com
- whois :: return full whois info from domain. It works with many extensions, although some have limitations in use, such as the .NET extension. Example: http://127.0.0.1:5000/whois/hereyourdomainname.com
- tld :: return TLD or ccTLD or a domain. Example: http://127.0.0.1:5000/tld/hereyourdomainname.com
- domain :: return only domain of a full domain. Example: http://127.0.0.1:5000/domain/hereyourdomainname.com
- size :: returns the size of a domain, not counting its extension. Example: http://127.0.0.1:5000/size/hereyourdomainname.com

## TO-DO

- words in Italian and Spanish
- test if a domain is IDN
- conver between ascii-punycode-idn

## Documentation

This is the README file

## Authors

 * Bichi - José Mª Ávila
 * Antonio Villamarin

## License

This is a NIDOMA development

## Links

- https://grantjenks.com/docs/wordsegment/
- https://pypi.org/project/wordsegment/
- https://blog.stoplight.io/python-rest-api
- https://github.com/richardpenman/whois
- https://pypi.org/project/tldextract/